tabDE = fluidPage(

box(title = "Parameters :", width = 12, status = "primary", collapsible = TRUE, solidHeader = TRUE,

	selectInput("selectDE", label = "Select the tool to use : ", selected = "edger", choices = list("edger" = "edger", "deseq2" = "deseq2")),

conditionalPanel(condition = "input.selectDE == 'edger'",box(title = "edgeR", width = 12, status = "success", collapsible = TRUE, solidHeader = TRUE,
		numericInput("edger_threads", label = "Number of threads to use", min = 1, max = NA, step = 1, width =  "auto", value = 4),

		checkboxInput("edger_tx2gene", label = "Aggregate transcripts counts to gene counts : ", value = FALSE),

	box(title = "Annotation file (gtf or gff) : ", width = 12, status = "success", collapsible = TRUE, solidHeader = TRUE,
		selectInput("edger_annotations_select",label = "Select where to find the file", selected = "server", choices = c("On server" = "server", "On your machine" = "local")),
		conditionalPanel(condition = "input.edger_annotations_select == 'server'",
				tags$label("Annotation file (gtf or gff) : "),
				fluidRow(
					column(4,shinyFilesButton("shinyfiles_edger_annotations",label="Please select a file", title="Annotation file (gtf or gff) : ", multiple=FALSE)),
					column(8,textInput("edger_annotations_server",label=NULL,value=""))
				)
			),
		conditionalPanel(condition = "input.edger_annotations_select == 'local'",
			fileInput("edger_annotations_local",label = "Annotation file (gtf or gff) : ")
		)
	)
,

		radioButtons("edger_normfact", label = "Calculate normalization factors to scale the raw library sizes.", choices = list("TMM" = "TMM", "RLE" = "RLE", "upperquartile" = "upperquartile", "none" = "none"),  selected = "TMM", width =  "auto"),

		textInput("edger_dispersion", label = "Dispersion: either a numeric vector of dispersions or a character string indicating that dispersions should be taken from the data.", value = "0", width = "auto"),

		radioButtons("edger_testType", label = "Test type: exactTest: Computes p-values for differential abundance for each gene between two samples, conditioning on the total count for each gene. The counts in each group are assumed to follow a binomial distribution
glmLRT: Fits a negative binomial generalized log-linear model to the read counts for each gene and conducts genewise statistical tests.", choices = list("exactTest" = "exactTest", "glmLRT" = "glmLRT"),  selected = "exactTest", width =  "auto"),

		p("edgeR: Empirical Analysis of Digital Gene Expression Data."),

		p("Website : ",a(href="http://bioconductor.org/packages/release/bioc/html/edgeR.html","http://bioconductor.org/packages/release/bioc/html/edgeR.html",target="_blank")),

		p("Documentation : ",a(href="http://bioconductor.org/packages/release/bioc/manuals/edgeR/man/edgeR.pdf","http://bioconductor.org/packages/release/bioc/manuals/edgeR/man/edgeR.pdf",target="_blank")),

		p("Paper : ",a(href="https://doi.org/10.18129/B9.bioc.edgeR","https://doi.org/10.18129/B9.bioc.edgeR",target="_blank"))

	)),
conditionalPanel(condition = "input.selectDE == 'deseq2'",box(title = "DESeq2", width = 12, status = "success", collapsible = TRUE, solidHeader = TRUE,
		numericInput("deseq2_threads", label = "Number of threads to use", min = 1, max = NA, step = 1, width =  "auto", value = 4),

		checkboxInput("deseq2_tx2gene", label = "Aggregate transcripts counts to gene counts : ", value = FALSE),

	box(title = "Annotation file (gtf or gff) : ", width = 12, status = "success", collapsible = TRUE, solidHeader = TRUE,
		selectInput("deseq2_annotations_select",label = "Select where to find the file", selected = "server", choices = c("On server" = "server", "On your machine" = "local")),
		conditionalPanel(condition = "input.deseq2_annotations_select == 'server'",
				tags$label("Annotation file (gtf or gff) : "),
				fluidRow(
					column(4,shinyFilesButton("shinyfiles_deseq2_annotations",label="Please select a file", title="Annotation file (gtf or gff) : ", multiple=FALSE)),
					column(8,textInput("deseq2_annotations_server",label=NULL,value=""))
				)
			),
		conditionalPanel(condition = "input.deseq2_annotations_select == 'local'",
			fileInput("deseq2_annotations_local",label = "Annotation file (gtf or gff) : ")
		)
	)
,

		p("DESeq2: Differential gene expression analysis based on the negative binomial distribution. Using normalized count data."),

		p("Website : ",a(href="https://bioconductor.org/packages/release/bioc/html/DESeq2.html","https://bioconductor.org/packages/release/bioc/html/DESeq2.html",target="_blank")),

		p("Documentation : ",a(href="https://bioconductor.org/packages/release/bioc/manuals/DESeq2/man/DESeq2.pdf","https://bioconductor.org/packages/release/bioc/manuals/DESeq2/man/DESeq2.pdf",target="_blank")),

		p("Paper : ",a(href="https://doi.org/10.1186/s13059-014-0550-8","https://doi.org/10.1186/s13059-014-0550-8",target="_blank"))

	))))


